Bug 1091939 (CVE-2014-0112) - CVE-2014-0112 struts2: ClassLoader manipulation via request parameters
Summary: CVE-2014-0112 struts2: ClassLoader manipulation via request parameters
Status: NEW
Alias: CVE-2014-0112
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140425,repo...
Keywords: Reopened, Security
Depends On: 1667759 1667760
Blocks: 1666926
TreeView+ depends on / blocked
 
Reported: 2014-04-28 11:06 UTC by David Jorm
Modified: 2019-06-08 20:01 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-04-28 11:10:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0910 None None None 2019-04-30 15:18 UTC

Description David Jorm 2014-04-28 11:06:10 UTC
It was found that the fix for CVE-2014-0094 was incomplete. The Struts 2 ParametersInterceptor was updated to block access to the 'class' parameter, but not all forms in which this parameter can be specified were blocked. A remote attacker could use this flaw to manipulate the ClassLoader used by the application server running Struts 2. This could lead to arbitrary remote code execution under certain conditions.

This flaw is reported to affect Struts 2.0.0 through to Struts 2.3.16.1. It is corrected in 2.3.16.2.

External References:

https://cwiki.apache.org/confluence/display/WW/S2-021

Comment 1 David Jorm 2014-04-28 11:10:05 UTC
Statement:

Not Vulnerable. This issue only affects struts 2, it does not affect the versions of struts as shipped with various Red Hat products. A similar issue exists in struts 1, identified by CVE-2014-0114.

Applications using a third-party struts 2 library, deployed to Red Hat JBoss products, may be affected. Additional information can be found in the Red Hat Knowledgebase article: https://access.redhat.com/site/solutions/800293

Comment 6 errata-xmlrpc 2019-04-30 15:18:26 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.3

Via RHSA-2019:0910 https://access.redhat.com/errata/RHSA-2019:0910


Note You need to log in before you can comment on or make changes to this bug.